KATE(1)

NAME
kate - TDE Advanced Text Editor

SYNOPSIS
kate [options][file(s)]

DESCRIPTION
This manual page documents briefly the kate command. This manual page was written for the Debian distribution because the original program does not have a manual page.

kate is a powerful text editor for TDE. It allows multiple documents (MDI interface), syntax coloration for many languages, ... It is able to expand or collapse parts of code (C functions, ...), can handle complete projects, and includes a terminal emulator. Kate is primarily intended for developers but can be used by anyone. It will for example be very useful to edit configuration files for example. It can handle plugins to expand its capabilities (more languages support, vim/Emacs compatibility, ...)

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--help
    Show summary of options.

--help-qt
    Show QT specific help (common for all QT apps).

--help-tde
    Show TDE specific help (common for all TDE apps).

--help-all
    Show the complete help.

--author
    Show program author(s).

--license
    Show program license.

-v, --version
    Show version of program.

-s, --start <name>
    Start Kate with a given session

-u, --use
    Use a already running kate instance (if possible)

-p, --pid <pid>
    Only try to reuse kate instance with this pid

-e, --encoding <name>
    Set encoding for the file to open

-l, --line <line>
    Navigate to this line

-c, --column <column>
    Navigate to this column

-i, --stdin
    Read the contents of stdin

file(s)
    is the file or the files to open

SEE ALSO
kwrite(1)

For more details, you should have a look at the TDE Help center, available from the T menu.

AUTHOR
This manual page was written by Clement Stenac <zorglub@via.ecp.fr>, for Debian GNU/Linux, but may be used by others.

kate was written by the KDE project